<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/define('_IN_JOHNCMS', 1);
$textl = 'Почта-поиск';
$headmod = 'pochtasearch';
require_once ('../incfiles/core.php');
if (!$user_id) {
    require_once('../incfiles/head.php');
    echo display_error('Только для зарегистрированных посетителей');
    require_once('../incfiles/end.php');
    exit;
}
require_once ('../incfiles/head.php');
echo '<div class="phdr"><b>Поиск по почте</b></div>';

////////////////////////////////////////////////////////////
// Принимаем данные, выводим форму поиска                 //
////////////////////////////////////////////////////////////
$search = isset ($_POST['search']) ? trim($_POST['search']) : '';
$search = $search ? $search : rawurldecode(trim($_GET['search']));
$search = preg_replace("/[^\w\x7F-\xFF\s]/", " ", $search);
$search_t = isset ($_REQUEST['t']) ? 1 : 0;

echo '<div class="gmenu"><form action="search.php" method="post"><p>';
echo '<input type="text" value="' . ($search ? checkout($search) : '') . '" name="search" /> ';
echo '<input type="submit" value="Поиск" name="submit" /><br />';
echo '<input name="t" type="checkbox" value="1" ' . ($search_t ? 'checked="checked"' : '') . ' />&nbsp;Искать в исходящих (иначе во входящих)';
echo '</p></form></div>';

////////////////////////////////////////////////////////////
// Проверям на ошибки                                     //
////////////////////////////////////////////////////////////
$error = false;
if ($search && mb_strlen($search) < 4)
    $error = 'Общая длина поискового запроса должна быть не менее 4 букв.';
if ($search && mb_strlen($search) > 64)
    $error = 'Общая длина поискового запроса должна быть не более 64 букв.';

if ($search && !$error) {
    ////////////////////////////////////////////////////////////
    // Выводим результаты поиска                              //
    ////////////////////////////////////////////////////////////
    echo '<div class="bmenu">Результаты поиска</div>';
	$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail_msg` WHERE `msg` LIKE '%" . mysql_real_escape_string($search) . "%' AND ".(!$search_t ? "`id_kont`='" . $user_id . "'" : "`id_user`='" . $user_id . "'")." AND `delete`!='".$user_id."';"), 0);
	if ($total) {
		$req = mysql_query("SELECT `mail_msg`.`id` as `mid`, `mail_msg`.`time` as `tm`, `mail_msg`.*, `users`.* FROM `mail_msg` LEFT JOIN `users` ON ".(!$search_t ? "`mail_msg`.`id_user`=`users`.`id`" : "`mail_msg`.`id_user`=`users`.`id`")."
		WHERE `mail_msg`.`msg` LIKE '%" . mysql_real_escape_string($search) . "%' AND ".(!$search_t ? "`mail_msg`.`id_kont`='" . $user_id . "'" : "`mail_msg`.`id_user`='" . $user_id . "'")." AND `mail_msg`.`delete`!='".$user_id."' ORDER BY `mail_msg`.`time` LIMIT $start, $kmess;");
		$i = 1;
		while ($row = mysql_fetch_assoc($req)) {
			echo $i % 2 ? '<div class="list1">':'<div class="list1">';
			$text = checkout(mb_substr($row['msg'], 0, 400), 2, 1);
			if ($set_user['smileys'])
				$text = smileys($text, $row['rights'] >= 1 ? 1 : 0);
			if(!empty($row['file']) && file_exists('../files/pochta/'.$row['file'])) {
				$text .='<br /><span class="quote">Файл: <a href="'.$home.'/files/pochta/' . $row['file'] . '">' . $row['file'] . '</a> [' . formatsize(@filesize('../files/pochta/'.$row['file'])) . ']</span>';
			}
			echo show_user($row, 1, ($rights >= 6 && $rights >= $row['rights'] ? 1 : 0), '[' . date('d.m.o в H:i', $row['tm']) . ']', $text, $subtext);
			echo '<div class="sub"><a href="index.php?act=read&amp;id='.$row['mid'].'">К сообщению</a> | <a href="index.php?act=history&amp;id='.($search_t ? $row['id_kont'] : $row['id_user']).'">В переписку</a></div>';
			echo '</div>';
			++$i;
		}
    } else {
        echo '<div class="rmenu"><p>По Вашему запросу ничего не найдено</p></div>';
    }
    echo '<div class="phdr">Всего совпадений: ' . $total . '</div>';
    if ($total > $kmess) {
        // Навигация по страницам
        echo '<div class="menu">' . pagenav('search.php?' . ($search_t ? 't=1&amp;' : '') . 'search=' . rawurlencode($search) . '&amp;', $start, $total, $kmess) . '<br />';
        echo '<form action="" method="POST"><div><input type="text" name="page" size="2"/><input type="submit" value="Перейти"/></div></form></div>';
    }
}
else {
    // Выводим сообщение об ошибке
    if ($error)
        echo '<div class="rmenu"><p>ОШИБКА!<br />' . $error . '</p></div>';
    // Инструкции для поиска
    echo
    '<div class="phdr" style="fon-size:x-small">Длина запроса: 4мин., 64макс.</div>';
}

echo '<div class="menu">' . ($search ? '<a href="search.php">Новый поиск</a><br />' : '') . '<a href="'.$home.'/index.php?act=cab">Вернуться в кабинет</a></div>';
require_once ('../incfiles/end.php');
?>